apiVersion: apps/v1
kind: Deployment
metadata:
  name: items
spec:
  replicas: 1
  selector:
    matchLabels:
      app: items
  template:
    metadata:
      name: items
      labels:
        app: items
    spec:
      containers:
        - name: items
          image: acorntechnology/items:1.0.0
          imagePullPolicy: Always
          ports:
            - containerPort: 8080
              name: web
            - containerPort: 8090
              name: management
          env:
            - name: spring.data.mongodb.host
              valueFrom:
                configMapKeyRef:
                  name: oblique-critique
                  key: mongodb_host
            - name: spring.data.mongodb.port
              valueFrom:
                configMapKeyRef:
                  name: oblique-critique
                  key: mongodb_port
            - name: spring.data.mongodb.username
              valueFrom:
                secretKeyRef:
                  name: oblique-critique
                  key: mongo_root_username
            - name: spring.data.mongodb.password
              valueFrom:
                secretKeyRef:
                  name: oblique-critique
                  key: mongo_root_password
          readinessProbe:
            httpGet:
              path: /actuator/health/readiness
              port: management
            initialDelaySeconds: 30
            failureThreshold: 6
            periodSeconds: 10
          livenessProbe:
            httpGet:
              path: /actuator/health/liveness
              port: management
            initialDelaySeconds: 60
            failureThreshold: 6
            periodSeconds: 10
